API ReferenceReports
Get Metrics Report With Pagination
Get metrics report with pagination.
Authorization
bearerAuth superuserAuthorization<token>
In: header
Scope: superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Make all properties in T optional
Response Body
application/json
Try it live
curl -X POST "https://example.com/reports/metrics" \ -H "Content-Type: application/json" \ -d '{}'{ "totalItems": 0.1, "currentPage": 0.1, "totalPages": 0.1, "data": [ { "energy": 0, "uptime": 0, "unplannedDowntime": 0, "total": 0, "stops": 0, "quality": 0, "plannedDowntime": 0, "performance": 0, "oee": 0, "netOee": 0, "netAvailability": 0, "downtime": 0, "defects": 0, "correct": 0, "averageSpeed": 0, "noData": 0, "availability": 0, "actualSpeed": 0, "shiftDuration": 0.1, "shiftEndDate": "2019-08-24T14:15:22Z", "shiftStartDate": "2019-08-24T14:15:22Z", "shiftStatus": true, "shiftName": "string", "machineName": "string", "machineNodeId": "string", "machineId": "string", "companyName": "string" } ]}